/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\lesser\DevilsGrasp.cs
Lines of code: 43

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class DevilsGrasp : BoneGloves
	{

		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }
		
		public override int BasePhysicalResistance{ get{ return 5; } }
		public override int BaseFireResistance{ get{ return 5; } }
		public override int BaseColdResistance{ get{ return 5; } }
		public override int BasePoisonResistance{ get{ return 5; } }
		public override int BaseEnergyResistance{ get{ return 5; } }		

		[Constructable]
		public DevilsGrasp()
		{
			Hue = 1104;
			Name = "Devil's Grasp";	
			ArmorAttributes.MageArmor = 1;
			Attributes.BonusHits = 10;
			Attributes.DefendChance = 10;
			
			switch(Utility.Random(3))
			{			
				case 0:SkillBonuses.SetValues( 0, SkillName.Swords, 20.0 );	break;
				case 1:SkillBonuses.SetValues( 0, SkillName.Macing, 20.0 );	break;
				case 2:SkillBonuses.SetValues( 0, SkillName.Fencing, 20.0 );	break;
			}
		}

		public DevilsGrasp( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}